Bug 1257 - globus-url-copy not following redirects
: globus-url-copy not following redirects
Status: RESOLVED FIXED
: CoG jglobus
ftp
: 1.1
: All Windows 2000
: P2 critical
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-10-02 12:25 by
Modified: 2005-12-05 16:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-02 12:25:54
the c version of globus-url-copy has redirect implemented, but cog does not.  
this results in confusion for portable applications.

C:\>globus-url-copy.bat http://www-unix.globus.org/cog/main.html file:///c:\~ins
ley\ag-pic.jpg
C:\>globus-url-copy.bat http://www.mcs.anl.gov/~insley/AG/ag-beacon-view.jpg fil
e:///ag-pic.jpg
GlobusUrlCopy error: UrlCopy transfer failed. [Root error message: Failed to ret
rieve file from server.  Server returned error: Found (302)]
C:\>globus-url-copy.bat http://www-unix.mcs.anl.gov/~insley/AG/ag-beacon-view.jp
g file:///ag-pic.jpg
------- Comment #1 From 2003-10-07 11:42:43 -------
Fix committed to cvs. The fix should be available with the next release of CoG 
and/or with the next major GT3 release.